Piloterr

Chewy Product

Retrieve full product details from a Chewy product page URL, including pricing, variants, ratings, and availability.

Credit cost: 2 credits per call

GET
/v2/chewy/product

Authorization

ApiKeyAuth
x-api-key<token>

Your API key. Include it in the x-api-key header for every request.

In: header

Query Parameters

query*string

Chewy product page URL to scrape.

Example:

https://www.chewy.com/dp/371150

Notes:

  • The URL must be a valid Chewy product detail page (starts with https://www.chewy.com/dp/ or a full product slug URL).
  • Variant-level item IDs (e.g. /dp/116881) are supported — the API will return the full product graph including all variants.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.piloterr.com/v2/chewy/product?query=string"
{
  "ROOT_QUERY": {
    "pdp": {
      "__typename": "PDP",
      "featureToggles": {
        "__typename": "PDPFeatureToggles",
        "qnaEnabled": true,
        "reviewsEnabled": true,
        "fbtWidgetEnabled": true,
        "loyaltyFeaturesEnabled": true,
        "realTimeDealsEnabled": true
      }
    },
    "__typename": "Query",
    "currentUser": null,
    "item({\"id\":\"371150\"})": {
      "__ref": "Item:SXRlbTozNzExNTA="
    },
    "product({\"id\":\"371138\"})": {
      "__ref": "Product:UHJvZHVjdDozNzExMzg="
    }
  },
  "Item:SXRlbTozNzExNTA=": {
    "id": "SXRlbTozNzExNTA=",
    "gtin": "672288001200",
    "name": "Green Lifestyle Printed Reusable Cat & Dog Pee Pads, Blue & White, 41 x 41-in, 2 count",
    "entryID": "371150",
    "inStock": true,
    "isFresh": false,
    "isGiftCard": false,
    "isLiveFeed": false,
    "isBundle": false,
    "isFrozen": false,
    "mapPrice": "$34.99",
    "isInStock": true,
    "isVetDiet": false,
    "onSpecial": true,
    "__typename": "Item",
    "dimensions": "41 x 41 x 0.3 inches",
    "isPublished": true,
    "perUnitPrice": "$17.50",
    "autoshipPrice": "$33.24",
    "isUnavailable": false,
    "isPrescription": false,
    "advertisedPrice": "$34.99",
    "description": "Protect your home from a variety of pet messes with Green Lifestyle Printed Reusable Pee Pads for Cat & Dog.",
    "keyBenefits": [
      "Large, thick pads are ideal for a variety of pets, including pups, feline friends and bunnies.",
      "Waterproof backing locks in moisture to prevent messy leaks.",
      "Reusable, fabric pads feature reinforced seams.",
      "Terrific for puppies who are potty training and senior sidekicks with medical issues."
    ],
    "shippingMessage": "**FREE 1-3 day delivery** on first-time orders over $35",
    "autoshipDiscountPct": "5",
    "unitOfMeasureString": "ea",
    "partNumber": "344914"
  },
  "Product:UHJvZHVjdDozNzExMzg=": {
    "id": "UHJvZHVjdDozNzExMzg=",
    "name": "Green Lifestyle Printed Reusable Cat & Dog Pee Pads, Blue & White",
    "slug": "green-lifestyle-printed-reusable-cat",
    "rating": 4.6938,
    "entryID": "371138",
    "ratingCount": 369,
    "manufacturerName": "Green Lifestyle",
    "__typename": "Product",
    "isEnsemble": false,
    "partNumber": "344902",
    "description": "Protect your home from a variety of pet messes with Green Lifestyle Printed Reusable Pee Pads for Cat & Dog."
  }
}
{
  "error": "Bad Request"
}
{
  "error": "Invalid API Key"
}
{
  "error": "Payment required"
}
{
  "error": "Rate limit exceeded for the API key: quota monthly"
}
{
  "error": "Internal Error"
}